Skip to main content
`Ctrl`+`K`

# PETSCRAND48

access to the basic Unix `drand48()` random number generator

## Options Database Key

- -random_type (rander48|rand|rand48|sprng|random123|curand) - set the random number generator from the options database, see `PetscRandomType`.

## Note

Not recommended because it may produce different results on different systems.

## See Also

`PetscRandomCreate()`, `PetscRandomSetType()`, `PETSCRAND`, `PETSCSPRNG`, `PetscRandomSetFromOptions()`

## Level

beginner

## Location

src/sys/classes/random/impls/rand48/rand48.c

## Examples

src/snes/tutorials/ex7.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages